function closeTabs() {
	chrome.tabs.query({}, function(tabs) { 
  	tabs = tabs.filter(function(tab) { return /(https|http):\/\/smarthand\.pro\/.+/.test(tab.url) && !tab.active; });
  	tabs.forEach(function(tab) {
  		chrome.tabs.remove(tab.id, function() {});
  	});
  });
}

var autopaste = document.getElementById('autopaste');
function toggleAutopaste(e) {
	chrome.storage.local.set({sh_autopaste_enabled: autopaste.checked});
}

var autoclose = document.getElementById('autoclose');
function toggleAutoclose(e) {
	chrome.storage.local.set({sh_autoclose_enabled: autoclose.checked});
}

var timer = document.getElementById('autoclose_timer');
function saveTimer(e) {
	chrome.storage.local.set({sh_autoclose_timer: timer.value});
}

chrome.storage.local.get(['sh_autopaste_enabled', 'sh_autoclose_enabled', 'sh_autoclose_timer'], function(result) {
	if(result.sh_autopaste_enabled) autopaste.checked = true;
	if(result.sh_autoclose_enabled) autoclose.checked = true;
	if(result.hasOwnProperty('sh_autoclose_timer')) timer.value = result.sh_autoclose_timer;
});

document.getElementById('closeTabs').addEventListener('click', closeTabs);
timer.addEventListener('change', saveTimer);
autopaste.addEventListener('change', toggleAutopaste);
autoclose.addEventListener('change', toggleAutoclose);
